export interface ICustomAppConfig {
  /** 定制应用名称 */
  appCode: string;
  /** 定制模块名称 */
  moduleName?: string;
  /** 定制模块路径 */
  modulePath?: string;
}

export interface IProgramInfo {
  [key: string]: IProgramInfoParams;
}

export interface IProgramInfoParams {
  /** json路径 */
  jsonPath: string;
  /** 定制页说明 */
  description?: string;
}

/** 定制应用配置 */
export const CUSTOM_APP_CONFIG: ICustomAppConfig = {
  appCode: 'EfmDemoAT',
  moduleName: 'EfmDemoATModule',
  modulePath: './src/app/implementation/athena-app.module.ts',
};

/** 定制页信息 */
export const programs: IProgramInfo = {};
