import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DYNAMIC_FORM_CONTROL_MAP_FNS, DYNAMIC_FORM_MODEL_CONVERTS, PLUGIN_LANGUAGE_CHECKLIST } from '@athena/dynamic-core';
import { businessUIFormComponentMapFn } from './service/business-dynamic-component-map';
import { DynamicBusinessFormModelConvertService } from './service/dynamic-model-convert-bussiness.service';
import { APP_LANGUAGE_CHECKLIST } from './language';
import { TaskDetailModule } from './programs/task-detail/task-detail.module';
import { ProjectDetailModule } from './programs/project-detail/project-detail.module';
import { BasicDetailModule } from './programs/basic-detail/basic-detail.module';

// 定制页集合
const dynamicModules = [
  TaskDetailModule,
  ProjectDetailModule,
  BasicDetailModule
];

const components = [
];

@NgModule({
  providers: [
    {
      provide: DYNAMIC_FORM_CONTROL_MAP_FNS,
      useValue: businessUIFormComponentMapFn,
      multi: true,
    },
    {
      provide: DYNAMIC_FORM_MODEL_CONVERTS,
      useClass: DynamicBusinessFormModelConvertService,
      multi: true,
    },
    {
      provide: PLUGIN_LANGUAGE_CHECKLIST,
      useValue: APP_LANGUAGE_CHECKLIST,
      multi: true,
    }
  ],
  imports: [
    CommonModule,
    ...dynamicModules
  ],
  declarations: [...components],
  entryComponents: [...components],
  exports: [...components],
})
export class EfmDemoATModule { }
