import { Routes } from '@angular/router';
import { DwEmailLayoutComponent, DwPageIndexComponent } from '@webdpt/athena-dev-tools';
import { DwAuthGuardService } from '@webdpt/framework/auth';
import { programs } from 'app/config/custom-app-config';

export const IMPLEMENTATION_ROUTES: Routes = [
  {
    path: '',
    component: DwPageIndexComponent,
    canActivate: [DwAuthGuardService],
    data: {
      tabSetHosting: true,
      programs
    }
  },

  {
    path: 'dev/:secretkey',
    pathMatch: 'prefix',
    component: DwEmailLayoutComponent,
    canActivate: [DwAuthGuardService],
    data: {
      tabSetHosting: true,
      programs
    }
  }
];
