import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { MODULE_ROUTES } from '../routes';
import { DwSsoLoginComponent } from '@webdpt/components/sso-login';
import { DwLayoutAthenaComponent } from '@webdpt/athena-dev-tools';
import { programs } from 'app/config/custom-app-config';
import { DwLanguageService } from '@webdpt/framework/language';

const routes: Routes = [
  {
    path: '',
    pathMatch: 'prefix',
    component: DwLayoutAthenaComponent,
    children: [
      ...MODULE_ROUTES
    ],
    data: {
      tabSetHosting: true,
      programs,
      dwRouteData: {
        programId: 'default',
        i18n: ['basic', 'ant-components']
      }
    },
    resolve: { transaction: DwLanguageService }
  },
  {
    path: 'login',
    pathMatch: 'full',
    loadChildren: (): Promise<any> => import('./auth/login.module').then(m => m.LoginModule)
  },
  {
    path: 'forget',
    pathMatch: 'full',
    loadChildren: (): Promise<any> => import('./auth/forget/forget.module').then(m => m.ForgetModule)
  },
  {
    path: 'sso-login',
    pathMatch: 'full',
    component: DwSsoLoginComponent
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ImplementationRoutingModule { }
