import {
  DynamicFormControlModel,
  parseReviver, isString,
  DynamicFormModelConvertService,
  cloneDeep,
  CustomAppConfigService
} from '@athena/dynamic-core';
import { Injectable } from '@angular/core';
import { SYSTEM_CONFIG } from 'app/config/system-config';

@Injectable()
export class DynamicBusinessFormModelConvertService implements DynamicFormModelConvertService {
  constructor(
    public customAppConfigService: CustomAppConfigService
  ) { }

  fromOneJSON(
    json: string | object,
    content: any
  ): DynamicFormControlModel {
    let model;
    if (isString(json)) {
      model = isString(json);
    } else if (typeof json === 'object') {
      model = cloneDeep(json);
    } else {
      model = JSON.parse(JSON.stringify(json), parseReviver);
    }
    const layout = model.layout || null;
    let result: DynamicFormControlModel;
    model.content = content;
    switch (model.type) {
    default:
      break;
    }
    /** 渲染定制组件时，将应用信息传给service */
    if (!!result) { this.customAppConfigService.customConfig = { appCode: SYSTEM_CONFIG.dwAppId };}
    return result;
  }
}
